#!/bin/bash
RUN_FILE=`pwd`/mtd.$$
MYDIR=`pwd`
echo "#!/bin/sh" >> $RUN_FILE
echo "#PBS -l walltime=168:00:00 -q long" >> $RUN_FILE
echo "#PBS -l select=2:ncpus=16" >> $RUN_FILE
echo "cd /arabica/$MYDIR" >> $RUN_FILE
echo "export OMP_NUM_THREADS=1" >> $RUN_FILE
echo "export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:/usr/local/lib/" >> $RUN_FILE
echo "export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:/software/plumed/plumed250/lib" >> $RUN_FILE
for i in `seq 0 63`;
do
echo "/software/plumed/gromacs20185plumed250/bin/gmx_mpi_d grompp -f mtd -c frame$i -p AceProProProNH2 -o mtd1_$i -maxwarn 666" >> $RUN_FILE
echo "rm mdout.mdp" >> $RUN_FILE
done
echo "/software/mpi/openmpi400/bin/mpirun -np 64 -x OMP_NUM_THREADS=1 -x LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:/usr/local/lib/:/software/plumed/plumed250/lib --hostfile hostfile /software/plumed/gromacs20185plumed250/bin/gmx_mpi_d mdrun -s mtd1_ -o mtd1_ -e mtd1_ -g mtd1_ -c after_mtd1_ -plumed plumed -multi 64" >> $RUN_FILE
qsub $RUN_FILE

